libebook::FictionBook2MiddleNameContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2MiddleNameContext Class Reference

`#include <FictionBook2MetadataContext.h>`

Inheritance diagram for libebook::FictionBook2MiddleNameContext:

## Public Member Functions
| FictionBook2MiddleNameContext (FictionBook2ParserContext *parentContext, FictionBook2Authors &authors)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
void | endOfAttributes () override
| Signalize the end of attributes.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.

## Private Attributes
FictionBook2Authors & | m_authors

## Constructor & Destructor Documentation

## ◆ FictionBook2MiddleNameContext()

libebook::FictionBook2MiddleNameContext::FictionBook2MiddleNameContext | ( | FictionBook2ParserContext * | parentContext,
|  | FictionBook2Authors & | authors )

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2MiddleNameContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2MiddleNameContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns )
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfAttributes()

void libebook::FictionBook2MiddleNameContext::endOfAttributes | ( |  | ) |
| inlineoverrideprivatevirtual

Signalize the end of attributes.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2MiddleNameContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ startOfElement()

void libebook::FictionBook2MiddleNameContext::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

## ◆ text()

void libebook::FictionBook2MiddleNameContext::text | ( | const char * | value | ) |
| overrideprivatevirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FictionBook2XMLParserContext.

## Member Data Documentation

## ◆ m_authors

FictionBook2Authors& libebook::FictionBook2MiddleNameContext::m_authors
| private

Referenced by text().

The documentation for this class was generated from the following files:

- FictionBook2MetadataContext.h
- FictionBook2MetadataContext.cpp